commit: 4119ffc2e054bebd088635c244b3b19073755878
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 12 03:26:05 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 12 04:01:22 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4119ffc2
dev-python/hypothesis: Bump to 5.35.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/hypothesis/Manifest | 1 +
dev-python/hypothesis/hypothesis-5.35.0.ebuild | 63 ++++++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 02aab653f55..78cccc6ac2b 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -14,3 +14,4 @@ DIST hypothesis-python-5.33.0.tar.gz 9075651 BLAKE2B
41833eff5463c596a5eba184d23
DIST hypothesis-python-5.33.1.tar.gz 9075721 BLAKE2B
a880640e1c54bb2cf4206519409f36f7af7cb21ba5d76a0245b2735bc37ac2b7772fabf3dea50b48b7c1221704dae8a4390dc441435fc569bfae92e4230ee820
SHA512
207e8affe5bf8e4d719d000ef67f0e0945d01a9785624abcf04528b602c66c9512a2f621f827962b214a17b6d1e001045059a0c75b8f8cdd1abd5db3e75b5a7e
DIST hypothesis-python-5.33.2.tar.gz 9084086 BLAKE2B
058288af5a799a1fa9ca0f0526ff966bedd495c86f9066cd940610836e64281fd76bf342c898fff0189dc336eec4c741f52d6f7bf161703bcf7c9b8a757d6429
SHA512
495a8985dff9f34bd0f88076a0b8777d368162a7297cf35f2402cbacac8f1601ee31567f0f75ac7513f91f8aeca648e9de821b88661933226278287ae03eeca6
DIST hypothesis-python-5.34.1.tar.gz 9081222 BLAKE2B
5af302a9861b92e0270ca21125a930c4c496d853dca1474a899d565fd339e488fc7affc1f25fe24cc3d63f8d1d4e7043349a04179caf9ccdaaefdb68fcc094d1
SHA512
68a9f736474f2fa51810f18db87beaaf3cfd1803ab5842a4c5e48aa9118ead92b0ff02261063c52c2ef8e9649d05bfed3cf37a6d95c4f0b6109773eb1efff8b1
+DIST hypothesis-python-5.35.0.tar.gz 9081292 BLAKE2B
8f1d50d76f589103f7b734cea6008b3533d3c0d62f45ab95a71f079833cb20b766d398a1b9492d592a93156d097d58c14041caf609f035b547f2234cbef2d602
SHA512
e99ce4c2801341fc43c4290afb551bcae69e0747a6b98a633b284bce009cc18d978b75a23bf22dafb39c5020595159806d5627128577770be3aad72a022549a3
diff --git a/dev-python/hypothesis/hypothesis-5.35.0.ebuild
b/dev-python/hypothesis/hypothesis-5.35.0.ebuild
new file mode 100644
index 00000000000..7f849fbed63
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-5.35.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis
https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~riscv ~x86"
+IUSE="cli test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{6..9})
+ )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-5.3.5[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+python_prepare() {
+ if ! use cli || [[ ${EPYTHON} != python* ]]; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ pytest -vv tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" ||
+ die "Tests fail with ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}